<?php
session_start();
require_once('conexion.php');
if (isset($_SESSION['usu_nombre']))
{
  require_once('include/sesiones.php');
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='6' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
        if($reg['per_visualizar']=="Activo")
        {
?>
<!DOCTYPE html>
<html lang="en">
    <head> 
        <?php include ('head.php');?>
    </head>
<body>
<?php
$inicio="";
$M_inventario="active";
$M_contactos="";
$M_compras="";
$M_ventas="";
$M_pedidos="";
$M_pos="";
$R_reportes="";

$m_familias="";
$m_articulos="";
$m_combos="active";
$m_servicios="";
$m_productos="";
$m_tarifas="";
$m_bodegas="";
$m_traslados="";
$m_ajustes="";
$m_etiquetas="";
$m_ubicacion="";
$m_marca="";
include ('menu.php');
?> 
<div class="main">
    <div class="col-md-2">
        <?php include ('include/menu_inventario.php');?>           
    </div> <!-- /span6 -->      
    <div class="col-md-10"> 
        <div class="widget stacked">
            <div class="widget-header">
                <i class="icon-gift "></i>
                <h3>COMBOS DE ARTICULOS</h3>
            </div> 
            <form name="form_combo" id="form_combo" action="" method="post" enctype="multipart/form-data">
                <div class="widget-content">
                    <div id="combo"></div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Codigo</label>
                            <div class="input-group">
                                <input type="text"  name="art_referencia" id="art_referencia" class="form-control input-sm"  autocomplete="off" value="" onchange="" >
                                <span class="input-group-addon"><div id="Info_referencia"></div> </span>
                            </div>
                        </div> <!-- /.form-group -->
                        <div class="form-group">
                            <label>Codigo de barras</label>
                            <div class="input-group">
                                <input type="text"  name="art_barras" id="art_barras" class="form-control input-sm" autocomplete="off" value="" onkeypress="nextFocus('art_barras', 'art_nombre')" >
                                <span class="input-group-addon"><div id="Info_barras"></div> </span>
                            </div> <!-- /.form-group -->
                        </div> <!-- /.form-group -->
                        
                        <div class="form-group">
                            <label>Nombre</label>
                            <textarea rows="4" name="nombre" class="form-control" required></textarea>
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-4">
                        <label>Ubicacion</label>
                        <section id="intro" >
                            <select name="art_ubicacion" id="art_ubicacion" class="form-control input-sm" required>
                                <?php
                                $datos=mysqli_query($con,"SELECT * FROM ubicacion WHERE empresa='$empresa' and sucursal='$sucursal' ");
                                while( $fila = mysqli_fetch_array( $datos ) )
                                {
                                echo' <option value="'.$fila['ubi_id'].'">'.$fila['ubi_nombre'].'</option>';
                                }
                                ?>
                            </select>
                        </section>
                         <label>Categoria</label>
                        <section id="intro" >
                            <select name="categorias" id="categorias" class="form-control input-sm" required>
                                <?php
                                $datos1=mysqli_query($con,"SELECT * FROM familias WHERE empresa='$empresa'");
                                while( $fila1 = mysqli_fetch_array( $datos1 ) )
                                {
                                echo' <option value="'.$fila1['fam_id'].'">'.$fila1['fam_nombre'].'</option>';
                                }

                                ?>
                            </select>
                        </section>
                        
                        <label>Impuestos</label>
                        <select name="art_iva" id="art_iva" class="form-control input-sm" required>
                        <?php
                            $datos=mysqli_query($con,"SELECT * FROM iva where empresa='$empresa' ") ;
                            while( $fila = mysqli_fetch_array( $datos ))
                            {
                                echo' <option value="'.$fila['iva_porcentaje'].'" select>'.$fila['iva_nombre'].'</option>';
                            }
                        ?>
                        </select> 

                        <!--<label>Cantidad</label>-->
                        <input type="hidden" name="cantidad" id="cantidad" class="form-control" value="0">

                        <label>&nbsp;</label>
                        <label for="imagen" style="width: 100%;"><i class="btn-icon-only icon-upload"></i>Subir Imagen </label>
                        <input type="file" name="imagen" id="imagen" >
                    </div>

                    <div class="col-md-4">
                         <ul class="gallery-container" >
                            <li>
                                <a href="img/articulos/sin_imagen.jpg" class="ui-lightbox">
                                    <img src="img/articulos/sin_imagen.jpg" alt=""  height="250px"/>
                                </a>
                            </li>
                        </ul>

                    </div>
                    <div class="col-md-7">
                        <div class="form-group" style="padding-bottom: 16px;">
                            <a href="#myModal" title="Editar Articulo" class="btn btn-info" data-toggle="modal" ><i class="btn-icon-only icon-plus"></i> Agregar Articulos</a>
                        </div>
                        <div class="table-responsive">
                            <div id="tabla"></div>
                        </div> <!-- /.table-responsive -->
                    </div>
                    <div class="col-md-5">
                        <?php if ($negocio_neg_id==2){?> 
                        <div class="form-group" style="padding-bottom: 50px;">
                           <a href="#" type="button" id="add_field" class="btn btn-warning pull-right"><i class="btn-icon-only icon-plus"></i> Agregar Atributos</a>
                        </div>
                        <div class="table-responsive">
                            <div id="tabla_sabores"></div>
                        </div>
                        <div id="listas"> </div>
                        <?php } ?>
                    </div> <!-- /.widget-content -->

                    <div class="col-md-11 pull-right">
                        <div class="modal-footer">
                            <a href="I_combos.php"  class="btn btn-default">Cancelar</a>
                            <button id="registrar_com" type="submit" class="btn btn-success">Registrar </button> 
                        </div>
                        <?php include ('include/pie_de_pagina.php'); ?>
                    </div>
                </div>
                </div> <!-- /widget-content -->
            </form>
        </div> <!-- /.widget -->
    </div> <!-- /.col-md-9 -->
</div> <!-- /main -->

<div class="modal fade" id="editModal" tabindex="-1" role="dialog" style="z-index: 10000;" >
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header" >
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Tarifas</h4>
            </div>
            <div class="modal-body">
                <div id="form-edit"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
 </div><!-- /.modal -->

<?php include ('php_buscador/buscador_combo.php'); ?>

<script src="php_combos\ajax.js"></script>
<script>
$(document).ready(function(){
    load(1);
});
    
function load(page){
    var q=$("#q").val();
    var tipo=document.querySelector('input[name="tipo"]:checked').value
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/articulos_combos.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
        $(".outer_div").html(data).fadeIn('slow');
        $('#loader').html('');
        }
    })
}

function loadTablasabores(){
   var com_id= $("#com_id").val();
    $.get("./php_combos/tabla_sabores.php?com_id="+com_id,"",function(data){
    $("#tabla_sabores").html(data);
  })
}
loadTablasabores();


function loadTabla(){
    $('#editModal').modal('hide');
    $.get("./php_combos/tabla_temp.php","",function(data){
    $("#tabla").html(data);
  })
}
loadTabla();

var campos_max = 1000;   //max de 10 campos
var x = 0;
$('#add_field').click (function(e) {
    e.preventDefault();     //prevenir novos clicks
    if (x < campos_max)
    {
        $('#listas').append('<div>\
            <div class="col-xs-11">\
                <input class="form-control input-sm " type="text" name="opcion1[]">\
            </div>\
            <a href="#" class="remover_campo btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>\
            </br></br></div>');
            x++;
    }
});
// Remover o div anterior
$('#listas').on("click",".remover_campo",function(e) {
      e.preventDefault();
      $(this).parent('div').remove();
      x--;
});

function agregar (art_id_bod)
{
    var art_id=document.getElementById('art_id'+art_id_bod).value;
    var referencia=document.getElementById('referencia'+art_id_bod).value;
    var nombre=document.getElementById('nombre'+art_id_bod).value;
    var cantidad=document.getElementById('cantidad_'+art_id_bod).value;
    var precio=document.getElementById('precio_'+art_id_bod).value;
    var tipo='articulo';
    if (isNaN(cantidad))
        {
            alert('Esto no es un numero');
            document.getElementById('cantidad_'+art_id_bod).focus();
            return false;
        }
    $.ajax({
        type: "POST",
        url: "./php_combos/tabla_temp.php",
        data:   "&art_id="+art_id+"&art_id_bod="+art_id_bod+"&referencia="+referencia+"&nombre="+nombre+"&cantidad="+cantidad+"&precio="+precio+"&tipo="+tipo,

    beforeSend: function(objeto){
    $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
    $("#tabla").html(datos);
    }
    });
}


function agregar_producto (art_id)
{       
    var referencia=document.getElementById('art_referencia'+art_id).value;
    var nombre=document.getElementById('nombre'+art_id).value;
    var cantidad=document.getElementById('cantidad'+art_id).value;
    var precio=document.getElementById('precio_venta'+art_id).value;
    var art_id_bod='0';
    var tipo=document.getElementById('tipo'+art_id).value;


    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+art_id).focus();
        return false;
    }
    if (isNaN(precio))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+art_id).focus();
        return false;
    }
          
    $.ajax({
        type: "POST",
        url: "./php_combos/tabla_temp.php",
        data: "art_id="+art_id+"&art_id_bod="+art_id_bod+"&referencia="+referencia+"&nombre="+nombre+"&precio="+precio+"&cantidad="+cantidad+"&tipo="+tipo,
        beforeSend: function(objeto)
        {
            $("#tabla").html("Mensaje: Cargando...");
        },
        success: function(datos)
        {
            $("#tabla").html(datos);
          //  loadTabla();
        }
    });
}
</script>
<?php
  include ('php_caja/caja_abrir.php');
  include ('script.php');
?>
  </body>
</html>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>